| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XSObject Class Reference

Inheritance diagram for XSObject:

[legend]
Collaboration diagram for XSObject:

[legend]
List of all members.

## Public Methods

Constructors
| XSObject (XSConstants::COMPONENT_TYPE compType, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
Destructor
virtual | ~XSObject ()
XSObject methods
XSConstants::COMPONENT_TYPE | getType () const
| The `type` of this object, i.e. More...
virtual const XMLCh * | getName ()
| The name of type `NCName` of this declaration as defined in XML Namespaces. More...
virtual const XMLCh * | getNamespace ()
| The [target namespace] of this object, or `null` if it is unspecified. More...
virtual XSNamespaceItem * | getNamespaceItem ()
| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise. More...
virtual unsigned int | getId () const
| Optional. More...

## Protected Attributes

XSConstants::COMPONENT_TYPE | fComponentType
XSModel * | fXSModel
MemoryManager * | fMemoryManager

## Constructor & Destructor Documentation

XSObject::XSObject | ( | XSConstants::COMPONENT_TYPE | compType,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager
| ) |

The default constructor.

Parameters:

  compType |
  xsModel |
  manager | The configurable memory manager

virtual XSObject::~XSObject | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual unsigned int XSObject::getId | ( |  | ) | const`[virtual]`

Optional.

Return a unique identifier for a component within this XSModel, to optimize querying. May not be defined for all types of component.

Returns:
  id unique for this type of component within this XSModel or 0 to indicate that this is not supported for this type of component.

Reimplemented in XSAttributeDeclaration.

virtual const XMLCh* XSObject::getName | ( |  | ) | `[virtual]`

| The name of type `NCName` of this declaration as defined in XML Namespaces. Reimplemented in XSAttributeDeclaration.

virtual const XMLCh* XSObject::getNamespace | ( |  | ) | `[virtual]`

| The [target namespace] of this object, or `null` if it is unspecified. Reimplemented in XSAttributeDeclaration.

virtual XSNamespaceItem* XSObject::getNamespaceItem | ( |  | ) | `[virtual]`

| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise. Reimplemented in XSAttributeDeclaration.

XSConstants::COMPONENT_TYPE XSObject::getType | ( |  | ) | const

| The `type` of this object, i.e. `ELEMENT_DECLARATION`.

## Member Data Documentation

XSConstants::COMPONENT_TYPE XSObject::fComponentType`[protected]`

MemoryManager* XSObject::fMemoryManager`[protected]`

XSModel* XSObject::fXSModel`[protected]`

The documentation for this class was generated from the following file:

- XSObject.hpp

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.